org.apache.ignite.springdata20.repository.query.spel

## Class SpelEvaluator

- java.lang.Object
- - org.apache.ignite.springdata20.repository.query.spel.SpelEvaluator

-     public class SpelEvaluator
      extends Object

  Evaluates SpEL expressions as extracted by the `SpelQueryContext.SpelExtractor` based on parameter information from a method and parameter values from a method call.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpelEvaluator(org.springframework.data.repository.query.EvaluationContextProvider evaluationCtxProvider, org.springframework.data.repository.query.Parameters<?,?> parameters, SpelQueryContext.SpelExtractor extractor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Object>` | `evaluate(Object[] values)` Evaluate all the SpEL expressions in `parameters` based on values provided as an argument.
    `String` | `getQueryString()` Returns the query string produced by the intermediate SpEL expression collection step.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpelEvaluator

          public SpelEvaluator(org.springframework.data.repository.query.EvaluationContextProvider evaluationCtxProvider,
                               org.springframework.data.repository.query.Parameters<?,?> parameters,
                               SpelQueryContext.SpelExtractor extractor)

      Parameters:
        `evaluationCtxProvider` - Evaluation context provider.
        `parameters` - Parameters.
        `extractor` - Extractor.

  - ### Method Detail

    - #### evaluate

          public Map<String,Object> evaluate(Object[] values)

      Evaluate all the SpEL expressions in `parameters` based on values provided as an argument.
      Parameters:
        `values` - Parameter values. Must not be null.
      Returns:
        a map from parameter name to evaluated value. Guaranteed to be not null.

    - #### getQueryString

          public String getQueryString()

      Returns the query string produced by the intermediate SpEL expression collection step.
      Returns:
        the query string produced by the intermediate SpEL expression collection step

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020